> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSO directory groups

> Return all SSO directory groups configured for the authenticated organization.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/sso/directory-groups
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/sso/directory-groups:
    get:
      tags:
        - SSO
      summary: List SSO directory groups
      description: >-
        Return all SSO directory groups configured for the authenticated
        organization.
      responses:
        '200':
          description: SSO directory groups that can be used with SSO permissions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The SSO directory group identifier.
                        name:
                          type: string
                          description: The human-readable name for the SSO directory group.
                      required:
                        - id
                        - name
                      additionalProperties: false
                required:
                  - groups
                additionalProperties: false

````